> For the complete documentation index, see [llms.txt](https://developers.flipsnack.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://developers.flipsnack.com/products/delete.md).

# products.delete

Each request must include an apiKey, signature for authentication, a sourceHash to know exactly from which feed will the products be removed and the productHashes to be removed.If all products in the feed are deleted, the corresponding feed (source) will also be automatically removed. The results will be available under the Automation tab in the Design Studio.

**Note:** Requests must be made to **<https://api.flipsnack.com/v1>**

## Request parameters <a href="#request_params" id="request_params"></a>

| Name                                | Type   | Description                                                                                                                                                                                                                                                                                                                                                                      |
| ----------------------------------- | ------ | -------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- |
| <p>apiKey (required)</p><p><br></p> | string | The API key provided for your user. If it is not specified, the request will return the error code "30 - Missing mandatory parameter". If the key is incorrect the request returns the error code "41 - Invalid credentials".                                                                                                                                                    |
| signature (required)                | string | The signature must be calculated by you and added to the request. See[ How to sign a request](https://developers.flipsnack.com/how-to-sign-a-request) for more information.If the parameter is missing the request will return the error code "30 - Missing mandatory parameter". If the signature is incorrect the request will return the error code "44 - Invalid signature". |
| action (required)                   | string | The API method that should be called. In this case the value should be products.update . If it is not specified, the request will return the error code "30 - Missing mandatory parameter".                                                                                                                                                                                      |
| sourceHash (required)               | string | This needs to be a unique identifier within flipsnack to be able to update based on it the products and also to have the possibility to create multiple feeds from the same API                                                                                                                                                                                                  |
| productsSKU (required)              | array  | It’s a list of products SKU. The method accepts one or multiple products SKU to be deleted                                                                                                                                                                                                                                                                                       |

## Response parameters

| Name                   | Type   | Description                                                                                                                                                                                                                                                                                                                       |
| ---------------------- | ------ | --------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- |
| <p>code</p><p><br></p> | string | <p>Possible values:</p><ul><li>20: When all goes well and action is executed correctly</li><li>40: When data submitted has invalid data of wrong format</li><li>41: Unauthorized access</li><li>Unexpected error</li><li>51: When the max number of products sent is exceeded</li><li>30: Missing a mandatory parameter</li></ul> |
| status                 | string | Message related to code                                                                                                                                                                                                                                                                                                           |

## Error codes <a href="#error_codes" id="error_codes"></a>

For complete list of error codes and messages go to [API status codes](/api-status-codes.md) section.

## Example

This is an example of how the list of codes should look to be deleted:

SKU-01,SKU-02,SKU-03

We have 3 products to delete. If all the codes are from products, the deletion will be with success. If some of the codes are not correct or there are codes from variation, the deletion will be successful, if at least one is from a product.

### Request

{% tabs %}
{% tab title="cURL" %}

```bash
# GET
curl -X POST https://api.flipsnack.com/v1/ \
-F action=products.delete \
-F apiKey=<YOUR-API-KEY> \
-F signature=<YOUR-REQUEST-SIGNATURE> \
-F sourceHash=<YOUR-SOURCE-HASH> \
-F productsSKU="<YOUR-PRODUCTS-SKU>” 

```

{% endtab %}

{% tab title="HTML" %}

```html
<form method="get" action="https://api.flipsnack.com/v1/">
   <input type="hidden" name="action" value="products.delete">
   <input type="hidden" name="apiKey" value="<YOUR-API-KEY>">
   <input type="hidden" name="sourceHash" value="<YOUR-SOURCE-HASH>">
   <input type="hidden" name="productsSKU" value="<YOUR-PRODUCTS-SKU>">
   <button type="submit">Submit</button>
</form>
```

{% endtab %}
{% endtabs %}

### Response

{% tabs %}
{% tab title="Success" %}

```
{
    "code": 20,
    "status":"",
    "data": {
        "message":"Products deleted successfully",
        "errors": []
    }
}

```

{% endtab %}

{% tab title="Error" %}

```json
{
    "code": 30
    "status": "Missing mandatory parameter”
    "data": {
        "message":"Products deleted successfully",
        "errors": ["Products hashes parameter is missing"],
    }
}

```

{% endtab %}
{% endtabs %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://developers.flipsnack.com/products/delete.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
